<!-- Please do not edit this file. Edit the `blah` field in the `package.json` instead. If in doubt, open an issue. -->


[![google-font-downloader](https://i.imgur.com/arpGZH6.png)](#)

# `$ google-font-downloader`

 [![Version](https://img.shields.io/npm/v/google-font-downloader.svg)](https://www.npmjs.com/package/google-font-downloader) [![Downloads](https://img.shields.io/npm/dt/google-font-downloader.svg)](https://www.npmjs.com/package/google-font-downloader)

> Download Google fonts by providing the url

#### Usage


You can use this tool to download Google Fonts for offline use, just by providing the Google APIs url.


:bulb: **Note**: It's not clear yet if Google Fonts are EU GDPR compliant (see [this issue](https://github.com/google/fonts/issues/1495)). This may be a good reason to download the Google Fonts you use on your server.

#### How it works


You need to provide the url to the Google APIs endpoint (e.g. `https://fonts.googleapis.com/css?family=Open+Sans:400,400i,700,700i`) and you will get the following files/directories in the current working directory:


 - A file named `google-fonts-<timestamp>.css`—this will contain the CSS snippets that you need to copy in your app. You may need to update the paths to the font files.
 - A directory structure looking like this: `fonts/<font-name>/<version>/<font-file>`

![Example](https://i.imgur.com/yGcOPKg.gif)


## :cloud: Installation

You can install the package globally and use it as command line tool:


```sh
# Using npm
npm install --global google-font-downloader

# Using yarn
yarn global add google-font-downloader
```


Then, run `google-font-downloader --help` and see what the CLI tool can do.


```
$ google-font-downloader --help
Usage: google-font-downloader <url> [options]

Download Google fonts by providing the url

Command arguments:
  <url>  The Google APIs url.

Options:
  -v, --version  Displays version information.
  -h, --help     Displays this help.

Examples:
  $ google-font-downloader https://fonts.googleapis.com/css?family=Open+Sans:400,400i,700,700i

Documentation can be found at https://github.com/Bloggify/google-font-downloader#readme.
```

## :yum: How to contribute
Have an idea? Found a bug? See [how to contribute][contributing].



## :scroll: License

[MIT][license] © [Bloggify][website]

[license]: http://showalicense.com/?fullname=Bloggify%20%3Csupport%40bloggify.org%3E%20(https%3A%2F%2Fbloggify.org)&year=2018#license-mit
[website]: https://bloggify.org
[contributing]: /CONTRIBUTING.md
[docs]: /DOCUMENTATION.md
